summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author Jan F. Chadima2020-02-23 15:48:59 +0100
committer Willy Sudiarto Raharjo2020-02-23 15:48:59 +0100
commit7c4038f3be39fa6065cdbb4435d22ed130a20719 (patch)
tree8682fb3721e92d8b22387f49655a6310a0ea8228 /misc
parent9cdfcda3cd7858f5431f7561a30c9c4a0bf71c21 (diff)
downloadslackbuilds-7c4038f3be39fa6065cdbb4435d22ed130a20719.tar.gz
misc/tidyp: Added (HTML Validation Library).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'misc')
-rw-r--r--misc/tidyp/README3
-rw-r--r--misc/tidyp/slack-desc19
-rw-r--r--misc/tidyp/tidyp.SlackBuild102
-rw-r--r--misc/tidyp/tidyp.info10
4 files changed, 134 insertions, 0 deletions
diff --git a/misc/tidyp/README b/misc/tidyp/README
new file mode 100644
index 0000000000..47a2f01b4a
--- /dev/null
+++ b/misc/tidyp/README
@@ -0,0 +1,3 @@
+This module provides HTML and XHTML validations a fork of tidy on SourceForge
+at http://tidy.sf.net. The library name is "tidyp", and the command-line tool
+is also "tidyp" but all internal API stays the same..
diff --git a/misc/tidyp/slack-desc b/misc/tidyp/slack-desc
new file mode 100644
index 0000000000..b6144485eb
--- /dev/null
+++ b/misc/tidyp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+tidyp: tidyp (HTML validation library)
+tidyp:
+tidyp: tidyp is a fork of tidy on SourceForge at http://tidy.sf.net.
+tidyp: The library name is "tidyp", and the command-line tool is also
+tidyp: "tidyp" but all internal API stays the same.
+tidyp:
+tidyp: Homepage: https://metacpan.org/pod/HTML-Tidy
+tidyp:
+tidyp:
+tidyp:
+tidyp:
diff --git a/misc/tidyp/tidyp.SlackBuild b/misc/tidyp/tidyp.SlackBuild
new file mode 100644
index 0000000000..38635041db
--- /dev/null
+++ b/misc/tidyp/tidyp.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# Slackware build script for tidyp
+
+# Copyright 2020 Jan F. Chadima <jfch@jagda.eu>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=tidyp
+VERSION=${VERSION:-1.04}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+./acgo
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ChangeLog INSTALL README* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/tidyp/tidyp.info b/misc/tidyp/tidyp.info
new file mode 100644
index 0000000000..62cab0df77
--- /dev/null
+++ b/misc/tidyp/tidyp.info
@@ -0,0 +1,10 @@
+PRGNAM="tidyp"
+VERSION="1.04"
+HOMEPAGE="https://github.com/petdance/tidyp"
+DOWNLOAD="https://github.com/petdance/tidyp/archive/1.04/tidyp-1.04.tar.gz"
+MD5SUM="ad4e95b941ff482f5745b503fb5e20df"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Jan F. Chadima"
+EMAIL="jfch@jagda.eu"